Plugin error from dada2, data generated by MiSeq with PE300

Hello,

I was running qiime dada2 denoise-paired (with 6 fastq files included, generated by MiSeq with PE300):

qiime dada2 denoise-paired
–i-demultiplexed-seqs demux.qza
–p-trunc-len-f 0
–p-trunc-len-r 0
–p-n-threads 0
–o-representative-sequences rep-seqs.qza
–o-table table.qza

After waiting about 1 hour, I got following error:

Plugin error from dada2:
An error was encountered while running DADA2 in R (return code -11), please inspect stdout and stderr to learn more.
Debug info has been saved to /tmp/qiime2-q2cli-err-yklupk7v.log

However, I didnt find any tmp forlder and log files generated.

My platform is MS OS with 16G memory.

Can anyone suggest a solution?

Best,

HI @Xuefeng! Sorry to hear things aren’t going well.

Sometimes these files get cleaned up by your operating system before you get a chance to grab it. You can also re-run with --verbose to view the same detailed log. Can you please re-run the above command with the --verbose flag so that we can get a copy of that detailed message? Thanks! :t_rex:

Hi Thermokarst,

Thanks for your reply. As you suggest, I got the following message:

qiime dada2 denoise-paired --i-demultiplexed-seqs demux-single.qza --p-trim-left-f 5 --p-trim-left-r 5 --p-trunc-len-f 250 --p-trunc-len-r 250 --p-n-threads 0 --o-representative-sequences rep-seqs --o-table table --verbose

Running external command line application(s). This may print messages to stdout and/or stderr.
The command(s) being run are below. These commands cannot be manually re-run as they will depend on temporary files that no longer exist.

Command: run_dada_paired.R /tmp/tmpjbk2fi8r/forward /tmp/tmpjbk2fi8r/reverse /tmp/tmpjbk2fi8r/output.tsv.biom /tmp/tmpjbk2fi8r/filt_f /tmp/tmpjbk2fi8r/filt_r 250 250 5 5 2.0 2 consensus 1.0 0 1000000

R version 3.4.1 (2017-06-30)
Loading required package: Rcpp
DADA2 R package version: 1.6.0

  1. Filtering …
  2. Learning Error Rates
    Traceback (most recent call last):
    File “/opt/conda/lib/python3.5/site-packages/q2_dada2/_denoise.py”, line 179, in denoise_paired
    run_commands([cmd])
    File “/opt/conda/lib/python3.5/site-packages/q2_dada2/_denoise.py”, line 35, in run_commands
    subprocess.run(cmd, check=True)
    File “/opt/conda/lib/python3.5/subprocess.py”, line 398, in run
    output=stdout, stderr=stderr)
    subprocess.CalledProcessError: Command ‘[‘run_dada_paired.R’, ‘/tmp/tmpjbk2fi8r/forward’, ‘/tmp/tmpjbk2fi8r/reverse’, ‘/tmp/tmpjbk2fi8r/output.tsv.biom’, ‘/tmp/tmpjbk2fi8r/filt_f’, ‘/tmp/tmpjbk2fi8r/filt_r’, ‘250’, ‘250’, ‘5’, ‘5’, ‘2.0’, ‘2’, ‘consensus’, ‘1.0’, ‘0’, ‘1000000’]’ returned non-zero exit status -9

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/opt/conda/lib/python3.5/site-packages/q2cli/commands.py”, line 224, in call
results = action(**arguments)
File “”, line 2, in denoise_paired
File “/opt/conda/lib/python3.5/site-packages/qiime2/sdk/action.py”, line 228, in bound_callable
output_types, provenance)
File “/opt/conda/lib/python3.5/site-packages/qiime2/sdk/action.py”, line 363, in callable_executor
output_views = self._callable(**view_args)
File “/opt/conda/lib/python3.5/site-packages/q2_dada2/_denoise.py”, line 194, in denoise_paired
" and stderr to learn more." % e.returncode)
Exception: An error was encountered while running DADA2 in R (return code -9), please inspect stdout and stderr to learn more.

Plugin error from dada2:

An error was encountered while running DADA2 in R (return code -9), please inspect stdout and stderr to learn more.

See above for debug info.

Hi @Xuefeng!

The error code -9 usually means you ran out of memory while DADA2 was working.

16 GB should be plenty of memory, but what do you mean your platform is “MS OS”? Are you running in VirtualBox? If so, you might want to look at increasing the amount of RAM (Memory) allocated to your virtual machine. If you are not using Virtualbox, please let me know what you are using! Thanks! :t_rex:

Hi Mathew,

I installed Qiime2 with Docker on a Mac OS 10.13.2.
49

I get it. If it was due to the memory, then I should increase the memory resource for the container to use in Docker. I will re-try it and let you know if it was that issue.

Cheers,

1 Like

This topic was automatically closed 31 days after the last reply. New replies are no longer allowed.